Subject: Re: Text editor with shell integration
From: Luc Hermitte <[email-masked]>
To: lood <[email-masked]>
Cc: [email-masked]
Date: Fri, 7 May 2010 18:09:54 +0200 (CEST)
List-Id: <cygwin.cygwin.com>

Hello,

"lood" <[email-masked]> wrote :

> How could I integrate my text editor (e.g. Notepad++) to run
> it easily from Cygwin? I mean, something similiar to
>    "notepad ./file.ext"
> this works, I just want to use Notepad++ instead of standard Windows
> editor ("notepad++ ./file.ext" or something like that). Where I can 
> add this functionality? Thanks.

I have written cyg-wrapper.sh to answer this need.
    http://hermitte.free.fr/cygwin/#Win32

The alias I give as example in the documentation is for gvim.

If your editor does not have special parameters that must not be 
handled as pathnames that need translation, you can simply play
with $(cygpath -l "$@") as others have already told you.

HTH,

-- 
Luc Hermitte
http://lh-vim.googlecode.com/
http://hermitte.free.fr/vim/

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple